=== sounds/CMakeLists.txt ===

install(FILES kget.notifyrc
    DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR}
  )

#install(FILES
#   KGet_Added.ogg
#   KGet_Finished.ogg
#   KGet_Finished_All.ogg
#   KGet_Started.ogg
#DESTINATION ${KDE_INSTALL_SOUNDDIR})
