=== debian/changelog ===
kget (4:23.08.5-0ubuntu4) oracular; urgency=medium

  * Build without optional plasma-workspace-dev until KF6.

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Aug 2024 10:51:50 +0100

kget (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:07:59 +1100

kget (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:57:25 +0000

kget (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:47:21 -0700
