=== debian/control ===
--- 
+++ 
@@ -32,12 +32,11 @@
                libkf5widgetsaddons-dev (>= 5.91.0~),
                libkf5windowsystem-dev (>= 5.91.0~),
                libkf5xmlgui-dev (>= 5.91.0~),
-               libktorrent-dev (>= 23.08.4~),
+               libktorrent-dev (>= 23.08.5~),
                libmms-dev,
                libqca-qt5-2-dev (>= 2.1.0~),
                libsqlite3-dev,
                pkg-config,
-               plasma-workspace-dev [linux-any],
                qtbase5-dev (>= 5.15.0~),
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
