## kget 24.08.2

=== debian/changelog ===
kget (4:24.08.2-1ubuntu2) plucky; urgency=medium

  * For now ignore build time tests on armhf.

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Oct 2024 18:52:31 +0000

kget (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian. Remaing changes:
    - Kubuntu Vcs and maintainer fields.
    - Do not build depend on libqgpgmeqt6-dev as Qt6 build of gpgme1.0
      is not yet available in Ubuntu.

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Oct 2024 17:58:49 +0000

kget (4:24.08.2-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.05.2).
  * Update build-deps and deps with the info from cmake.
  * Bump dh sequence to kf6.
  * Reenable build-time tests.
  * Fix permissions of desktop file.
  * Refresh lintian overrides.
  * Bump Standards-Version to 4.7.0, no change required.
  * Update project homepage.
  * Split documentation into its own package.
  * Switch away from transitional pkg-config build dependency.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 08:41:53 +0200

kget (4:23.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (23.08.2).
  * New upstream release (23.08.3).

 -- Jesse Rhodes <jesse@sney.ca>  Sat, 11 Nov 2023 17:44:44 -0500
