=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
                libkf6widgetsaddons-dev (>= 5.240.0~),
                libkf6windowsystem-dev (>= 5.240.0~),
                libkf6xmlgui-dev (>= 5.240.0~),
-               libktorrent-dev (>= 23.11.70~),
+               libktorrent-dev (>= 24.12.0~),
                libmms-dev,
                libsqlite3-dev,
                pkgconf,
