## kget 24.12.1

=== debian/changelog ===
kget (4:24.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 17 Jan 2025 23:39:42 +0100

kget (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 25 Dec 2024 21:27:17 +0100

kget (4:24.08.2-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 26 Nov 2024 21:13:41 +0100

kget (4:23.08.3-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Switch libgpgmepp-dev B-D to libqgpgme-dev (Closes: #1078488).

 -- Patrick Franz <deltaone@debian.org>  Sun, 25 Aug 2024 19:22:25 +0200
