=== debian/control ===
Source: kget
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libboost-dev,
               libgpgme-dev,
               libkf6completion-dev (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6configwidgets-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6crash-dev (>= 6.3.0~),
               libkf6dbusaddons-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6iconthemes-dev (>= 6.3.0~),
               libkf6itemviews-dev (>= 6.3.0~),
               libkf6kcmutils-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6notifications-dev (>= 6.3.0~),
               libkf6notifyconfig-dev (>= 6.3.0~),
               libkf6statusnotifieritem-dev (>= 6.3.0~),
               libkf6wallet-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.3.0~),
               libkf6windowsystem-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.3.0~),
               libktorrent-dev (>= 23.11.70~),
               libmms-dev,
               libqgpgmeqt6-dev (>= 1.7.0~),
               libsqlite3-dev,
               pkgconf,
               qt6-5compat-dev,
               qt6-base-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://apps.kde.org/kget
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kget
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kget.git

Package: kget
Section: net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: kget-doc,
Suggests: khelpcenter,
Description: download manager
 KGet is an advanced download manager with support for Metalink and Bittorrent.
 Downloads are added to the list, where they can be paused, queued, or
 scheduled for later.
 .
 This package is part of the KDE networking module.

Package: kget-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Description: download manager - documentation
 KGet is an advanced download manager with support for Metalink and Bittorrent.
 Downloads are added to the list, where they can be paused, queued, or
 scheduled for later.
 .
 This package contains the user documentation for KGet.
 .
 This package is part of the KDE networking module.
