=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -15,26 +15,22 @@
         ${kget_test_transfers_dbus_SRCS}
         testkget.cpp
         testtransfers.cpp
-        ../kget_debug.cpp
+        ${kget_debug_SRCS}
     )
 
     # TODO enable it in ctest once it's fixed to not popup a "first run" messagebox on first start.
     # This probably needs a --testmode command-line argument (and QStandardPaths::setTestModeEnabled(true) on both sides)
     #ecm_mark_as_test(kget_test_transfers)
-    target_link_libraries(kget_test_transfers Qt::Test KF5::KIOCore kgetcore)
+    target_link_libraries(kget_test_transfers Qt::Test KF6::KIOCore kgetcore)
 
 
-#===========Verifier===========
-    if (Qca-qt${QT_MAJOR_VERSION}_FOUND)
-
-        ecm_add_test(
-                verifiertest.cpp
-            LINK_LIBRARIES
-                Qt::Test
-                ${QCA2_LIBRARIES}
-                kgetcore
-            TEST_NAME verifiertest)
-    endif ()
+    #===========Verifier===========
+    ecm_add_test(
+            verifiertest.cpp
+        LINK_LIBRARIES
+            Qt::Test
+            kgetcore
+        TEST_NAME verifiertest)
 
 
     #===========Scheduler===========
@@ -50,11 +46,11 @@
     ecm_add_test(
             metalinktest.cpp
             ../ui/metalinkcreator/metalinker.cpp
-            ../kget_debug.cpp
+            ${kget_debug_SRCS}
         LINK_LIBRARIES
             Qt::Xml
-            KF5::I18n
-            KF5::KIOCore
+            KF6::I18n
+            KF6::KIOCore
             Qt::Test
         TEST_NAME metalinktest
     )
@@ -64,7 +60,7 @@
             filedeletertest.cpp
             ../core/filedeleter.cpp
         LINK_LIBRARIES
-            KF5::KIOCore
+            KF6::KIOCore
             Qt::Test
         TEST_NAME filedeletertest
     )
