=== ui/CMakeLists.txt ===
add_subdirectory(icons)
add_subdirectory(pics)
