=== transfer-plugins/metalink/CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,9 @@
   metalinkxml.cpp
   metalinkhttp.cpp
   fileselectiondlg.cpp
+  kget_metalinkfactory.json
   ../../ui/metalinkcreator/metalinker.cpp
-  ../../kget_debug.cpp
+  ${kget_debug_SRCS}
 )
 
 ki18n_wrap_ui(kget_metalinkfactory
@@ -18,7 +19,6 @@
 )
 
 kconfig_add_kcfg_files(kget_metalinkfactory metalinksettings.kcfgc)
-kcoreaddons_desktop_to_json(kget_metalinkfactory kget_metalinkfactory.desktop)
 target_link_libraries(kget_metalinkfactory kgetcore)
 
 install(TARGETS kget_metalinkfactory DESTINATION ${KGET_PLUGIN_INSTALL_DIR})
@@ -29,7 +29,7 @@
 
 target_sources(kcm_kget_metalinkfactory PRIVATE
     dlgmetalink.cpp
-    ../../kget_debug.cpp
+    ${kget_debug_SRCS}
 )
 
 ki18n_wrap_ui(kcm_kget_metalinkfactory
@@ -37,4 +37,4 @@
 )
 
 kconfig_add_kcfg_files(kcm_kget_metalinkfactory metalinksettings.kcfgc)
-target_link_libraries(kcm_kget_metalinkfactory KF5::I18n KF5::ConfigGui KF5::CoreAddons KF5::ConfigWidgets)
+target_link_libraries(kcm_kget_metalinkfactory KF6::I18n KF6::ConfigGui KF6::CoreAddons KF6::ConfigWidgets KF6::KCMUtils)
