=== debian/changelog ===
kget (4:24.12.3-2ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Make build time tests non fatal.

 -- Rik Mills <rikmills@kde.org>  Mon, 24 Mar 2025 21:51:34 +0000

kget (4:24.12.3-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * kget-doc: Add missing Breaks/Replaces against kget versions before
    the split. (Closes: #1100966)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 24 Mar 2025 21:45:46 +0100

kget (4:24.12.3-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 07 Mar 2025 15:25:48 +0100
