=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kget
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
@@ -41,8 +42,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/kget
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kget
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kget.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kget
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kget
 
 Package: kget
 Section: net
@@ -61,6 +62,8 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends},
+Breaks: kget (<< 4:24.08.2-1~),
+Replaces: kget (<< 4:24.08.2-1~),
 Description: download manager - documentation
  KGet is an advanced download manager with support for Metalink and Bittorrent.
  Downloads are added to the list, where they can be paused, queued, or
