## kget 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,14 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kget VERSION ${RELEASE_SERVICE_VERSION})
 
-set(REQUIRED_QT_VERSION "6.5.0")
+set(REQUIRED_QT_VERSION "6.7.0")
 set(KF_VERSION "6.3.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
@@ -47,7 +47,6 @@
     CoreAddons
     Crash
     DBusAddons
-    DocTools
     I18n
     IconThemes
     ItemViews
@@ -82,6 +81,12 @@
     PURPOSE "Needed for the SQLite-Backend of the KGet-History"
 )
 
+find_package(KF6DocTools ${KF_VERSION})
+set_package_properties(KF6DocTools PROPERTIES
+    DESCRIPTION "Tools to generate documentation"
+    TYPE OPTIONAL
+)
+
 if (NOT WIN32)
     find_package(Gpgmepp 1.7.0)
     set_package_properties(Gpgmepp PROPERTIES
@@ -118,8 +123,6 @@
      add_definitions(-DDEBUG)
 endif()
 
-find_package(Boost REQUIRED)
-
 if (Gpgmepp_FOUND AND NOT WIN32)
     find_package(QGpgmeQt6 ${GPGME_REQUIRED_VERSION} CONFIG REQUIRED)
     add_definitions(-DHAVE_QGPGME)
@@ -154,7 +157,6 @@
 add_subdirectory(transfer-plugins)
 add_subdirectory(sounds)
 add_subdirectory(desktop)
-add_subdirectory(doc)
 
 include_directories(
     ${CMAKE_CURRENT_SOURCE_DIR}/core/
@@ -258,9 +260,6 @@
     ui/signaturedlg.ui
 )
 
-file(GLOB ICON_SRCS "ui/icons/*-apps-kget.png")
-ecm_add_app_icon(kget ICONS ${ICON_SRCS})
-
 target_link_libraries(kget
     kgetcore
     KF6::Crash
@@ -284,11 +283,7 @@
 endif()
 
 if (Gpgmepp_FOUND)
-    if (QT_MAJOR_VERSION STREQUAL "6")
-        target_link_libraries(kget QGpgmeQt6)
-    else()
-        target_link_libraries(kget QGpgme)
-    endif()
+    target_link_libraries(kget QGpgmeQt6)
 endif()
 
 install(TARGETS kget ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
@@ -299,13 +294,19 @@
     DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
 )
 install(FILES org.kde.kget.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
+install(FILES org.kde.kget.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)
 
 # add clang-format target for all our real source files
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
 
+if (KF6DocTools_FOUND)
+    add_subdirectory(doc)
+    kdoctools_install(po)
+endif()
+
 ki18n_install(po)
-kdoctools_install(po)
+
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
