=== transfer-plugins/CMakeLists.txt ===
add_subdirectory(kio)
add_subdirectory(multisegmentkio)
add_subdirectory(metalink)
if (KTorrent6_FOUND)
  add_subdirectory(bittorrent)
endif (KTorrent6_FOUND)
add_subdirectory(mirrorsearch)
if (LIBMMS_FOUND)
  add_subdirectory(mmsthreads)
endif (LIBMMS_FOUND)
add_subdirectory(checksumsearch)

SET(SUPPORTED_KGET_MIMETYPES "${SUPPORTED_KGET_MIMETYPES}" PARENT_SCOPE)
