=== ui/pics/CMakeLists.txt ===
install(FILES kget_splash.png DESTINATION ${KDE_INSTALL_DATADIR}/kget/pics)
