=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_test:
	xvfb-run -a dh_auto_test

execute_after_dh_auto_install:
	# remove dev .so symlinks, we aren't shipping dev suff for these
	find debian/tmp/ -name '*.so' -type l -print -delete

execute_after_dh_fixperms-arch:
	chmod -x $(CURDIR)/debian/kget/usr/share/kio/servicemenus/kget_download.desktop
